#ifdef _MSC_VER

#include <iostream>
#include <akaxiso/configuration.h>
#include <akaxiso/classes/types.h>

std::istream &operator>>(std::istream &istm, LONGLONG &value) {
  char buf[256];
  istm.getline(buf, sizeof(buf));
  if (sscanf(buf, "%I64d", &value) != 1)
    throw aka::internal_error();
  return istm;
}

#endif